Favicon

You are here: Home > API Reference > Apple > Apple Locations > Revoke admVppAsset

Revoke admVppAsset

Required Permission: mdm.apple.vppAsset.revoke

Revoke admVppAsset

POST
/v1/organizations/:organizationId/mdm/apple/enterprise/vpp/locations/:admVppLocationId/assets/revoke
Copy to clipboard

Revoke admVppAsset

Required Permission: mdm.apple.vppAsset.revoke

Revoke admVppAsset

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
admVppLocationId string
required
Match pattern: ^[a-fA-F0-9]{24}$
Body Params application/json
clientUserIds array [string] optional
serialNumbers array [string] optional
{
    "clientUserIds": [
        "string"
    ],
    "serialNumbers": [
        "string"
    ]
}

Responses

200 Response application/json
status boolean optional
data object optional
eventId string optional
≤ 256 characters
{
    "status": true,
    "data": {
        "eventId": "string"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}